Name: zapping
Version: 0.5.9.20010206
Release: 1
Summary: a TV viewer for Gnome
Copyright: GPL
Group: Applications/Multimedia
Source: zapping-0.5.9.20010206.tar.bz2
URL: http://zapping.sourceforge.net
Packager: Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: libglade-devel libxml-devel
PreReq: /sbin/install-info

Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.40
Requires: libxml >= 1.4.0
Requires: libglade >= 0.9
Requires: gdk-pixbuf >= 0.8
Requires: libunicode >= 0.4
Requires: /usr/bin/consolehelper
ExcludeArch: sparc

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall plugindir=%{buildroot}%{_libdir}/zapping/plugins

%post
pushd %{_bindir} > /dev/null 2>&1
    ln -sf consolehelper zapping_setup_fb
popd > /dev/null 2>&1

%preun
rm -f %{_bindir}/zapping_setup_fb > /dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr (-, root, root)
%doc AUTHORS THANKS ChangeLog README README.plugins COPYING TODO BUGS
%doc po/zapping.pot
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%{_bindir}/zapping
%{_sbindir}/zapping_setup_fb
%{_libdir}/zapping
%{_datadir}/zapping
%{_datadir}/gnome/help/zapping
%{_datadir}/pixmaps/zapping
%{_datadir}/gnome/apps/Multimedia/zapping.desktop
%{_datadir}/locale/*/*/*

%changelog
* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- using CVS snapshot

* Mon Feb  5 2001 Tim Powers <timp@redhat.com>
- using %%configure and %%makeinstall in the build and install sections

* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- pamified zapping_setup_fb, now no need for suid root bits, and no
  crippling of the app :)

* Thu Sep 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Removed the LibPng dependency, now libjpeg is used.

* Mon Sep 11 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the dependency to GdkPixbuf and LibPng

* Mon Jun 19 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the desktop entry and removed the specified --datadir

* Mon Jun 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Fixed, it didn't include the translations properly.

* Thu Jun 06 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Created, it works fine.
